#!/bin/bash

# Environment variables
source ../env_amitex_training.sh

MPIRUN="mpirun -np 12"     
MPIRUN="mpirun"


# INPUT FILES
MATEVTK="../Microstructures/vtk/mat_al2p5_64.vtk"
MATEXML="../Materials/mat_poresb.xml"
LOADXML="../Loadings_outputs/def_imp_vtk.xml"
ALGOXML="../Algorithms/algo_default.xml"


# LAUNCH SIMU WITH 2 MATERIALS (ONE ZONE/MATERIAL) - PORES (adjusted reference material)
#---------------------------------------------------------------------------------------

mkdir res_linear_poresb #don't forget!

#$MPIRUN amitex_fftp  -nm $MATEVTK  -a $ALGOXML -c $LOADXML -m $MATEXML  -s res_linear_poresb/res


# IDEM but with Classical Green operator 
#---------------------------------------------------------------------------------------

ALGOXML="../Algorithms/algo_nofilter.xml"

mkdir res_linear_pores_nofilter #don't forget!

#$MPIRUN amitex_fftp  -nm $MATEVTK  -a $ALGOXML -c $LOADXML -m $MATEXML  -s res_linear_pores_nofilter/res


# IDEM but without Convergence Acceleration 
#---------------------------------------------------------------------------------------

ALGOXML="../Algorithms/algo_noacv.xml"

mkdir res_linear_pores_noacv #don't forget!

#$MPIRUN amitex_fftp  -nm $MATEVTK  -a $ALGOXML -c $LOADXML -m $MATEXML  -s res_linear_pores_noacv/res


# IDEM but with Classical Green Operator and without Convergence Acceleration
#---------------------------------------------------------------------------------------

ALGOXML="../Algorithms/algo_nofilter_noacv.xml"

mkdir res_linear_pores_nofilter_noacv #don't forget!

#$MPIRUN amitex_fftp  -nm $MATEVTK  -a $ALGOXML -c $LOADXML -m $MATEXML  -s res_linear_pores_nofilter_noacv/res



