#!/bin/bash

# Environment variables
source ../env_amitex_training.sh

MPIRUN="mpirun -np 12"      # -np nprocs often not necessary
MPIRUN="mpirun"


# INPUT FILES
MATEVTK="../Microstructures/vtk/mat_al2p5_64.vtk"
MATEXML="../Materials/mat_lin.xml"
LOADXML="../Loadings_outputs/def_imp_mini.xml"
ALGOXML="../Algorithms/algo_default.xml"


# LAUNCH SIMU WITH 2 MATERIALS (ONE ZONE/MATERIAL)
#-------------------------------------------------

mkdir res_linear1 #don't forget!

$MPIRUN amitex_fftp  -nm $MATEVTK  -a $ALGOXML -c $LOADXML -m $MATEXML  -s res_linear1/res


# LAUNCH SIMU WITH 2 MATERIALS (ONE ZONE/MATERIAL) + vtk output
#--------------------------------------------------------------

LOADXML="../Loadings_outputs/def_imp_vtk.xml"

mkdir res_linear1b #don't forget!

#$MPIRUN amitex_fftp  -nm $MATEVTK  -a $ALGOXML -c $LOADXML -m $MATEXML  -s res_linear1b/res


# LAUNCH SIMU WITH 2 MATERIALS (ONE ZONE/MATERIAL) - TENSILE TEST
#----------------------------------------------------------------

LOADXML="../Loadings_outputs/traction.xml"

mkdir res_linear_trac #don't forget!

#$MPIRUN amitex_fftp  -nm $MATEVTK  -a $ALGOXML -c $LOADXML -m $MATEXML  -s res_linear_trac/res


# LAUNCH SIMU WITH 2 MATERIALS (ONE ZONE/MATERIAL) - PORES (same reference material)
#-----------------------------------------------------------------------------------

LOADXML="../Loadings_outputs/def_imp_vtk.xml"
MATEXML="../Materials/mat_pores.xml"

mkdir res_linear_pores #don't forget!

#$MPIRUN amitex_fftp  -nm $MATEVTK  -a $ALGOXML -c $LOADXML -m $MATEXML  -s res_linear_pores/res

# LAUNCH SIMU WITH 2 MATERIALS (ONE ZONE/MATERIAL) - PORES (adjusted reference material)
#---------------------------------------------------------------------------------------

LOADXML="../Loadings_outputs/def_imp_mini.xml"
MATEXML="../Materials/mat_poresb.xml"

mkdir res_linear_poresb #don't forget!

#$MPIRUN amitex_fftp  -nm $MATEVTK  -a $ALGOXML -c $LOADXML -m $MATEXML  -s res_linear_poresb/res



