#!/bin/bash

# Environment variables
source ../env_amitex_training.sh

MPIRUN="mpirun -np 12"     
MPIRUN="mpirun"


# INPUT FILES
MATEVTK="../Microstructures/vtk/mat_al2p5_64.vtk"
MATEXML="../Materials/mat_lin.xml"
LOADXML="../Loadings_outputs/def_imp_mini.xml"
ALGOXML="../Algorithms/algo_default.xml"


# LAUNCH SIMU WITH 2 MATERIALS (ONE ZONE/MATERIAL)
#-------------------------------------------------

mkdir res_linear1 #don't forget!

$MPIRUN amitex_fftp  -nm $MATEVTK  -a $ALGOXML -c $LOADXML -m $MATEXML  -s res_linear1/res



# LAUNCH SIMU WITH 1 MATERIAL (TWO ZONES) - values in the xml file
#------------------------------------------------------------------

MATEXML="../Materials/mat_lin_2.xml"

mkdir res_linear2 #don't forget!

$MPIRUN amitex_fftp  -nz $MATEVTK  -a $ALGOXML -c $LOADXML -m $MATEXML  -s res_linear2/res


# LAUNCH SIMU WITH 1 MATERIAL (TWO ZONES) - values in ascii file 
#----------------------------------------------------------------

MATEXML="../Materials/mat_lin_2b.xml"

mkdir res_linear2b #don't forget!

$MPIRUN amitex_fftp  -nz $MATEVTK  -a $ALGOXML -c $LOADXML -m $MATEXML  -s res_linear2b/res

# LAUNCH SIMU WITH 1 MATERIAL (TWO ZONES) - values in binary file 
#-----------------------------------------------------------------

MATEXML="../Materials/mat_lin_2c.xml"

mkdir res_linear2c #don't forget!

$MPIRUN amitex_fftp  -nz $MATEVTK  -a $ALGOXML -c $LOADXML -m $MATEXML  -s res_linear2c/res



