#!/bin/bash

# Environment variables
source ../env_amitex_training.sh

MPIRUN="mpirun"


# INPUT FILES

MATEVTK="../Microstructures/vtk/mat_al2p5_64.vtk"
ZONEVTK="../Microstructures/vtk/zone_al2p5_64.vtk"
MATEXML="../Materials/mat_sevp2_incl.xml"
LOADXML="../Loadings_outputs/traction_sevp.xml"
ALGOXML="../Algorithms/algo_default.xml"


# LAUNCH SIMU WITH 2 MATERIALS (ONE ZONE/INCLUSION IN MATERIAL INCLUSION)
#------------------------------------------------------------------------

mkdir res_sevp2_incl #don't forget!

$MPIRUN amitex_fftp  -nm $MATEVTK -nz $ZONEVTK  -a $ALGOXML -c $LOADXML -m $MATEXML  -s res_sevp2_incl/res


