#!/bin/bash

# Environment variables
source ../env_amitex_training.sh

MPIRUN="mpirun -np 1"


# INPUT FILES
MATEVTK="../Microstructures/vtk/homogene_1.vtk"
MATEXML="../Materials/mat_test_elasiso2.xml"
LOADXML="../Loadings_outputs/traction.xml"
ALGOXML="../Algorithms/algo_default.xml"


# LAUNCH SIMU ON ONE VOXEL TO TEST THE USER-DEFINED BEHAVIOR elasiso2
#---------------------------------------------------------------------

mkdir res_test_elasiso2 #don't forget!

$MPIRUN amitex_fftp  -nm $MATEVTK  -a $ALGOXML -c $LOADXML -m $MATEXML  -s res_test_elasiso2/res



