#!/bin/bash

# Environment variables
source ../env_amitex_training.sh

MPIRUN="mpirun -np 1"


# INPUT FILES
MATEVTK="../Microstructures/vtk/homogene_1.vtk"
MATEXML="../Materials/mat_test_sevp.xml"
LOADXML="../Loadings_outputs/traction_sevp.xml"
ALGOXML="../Algorithms/algo_default.xml"


# LAUNCH SIMU ON ONE VOXEL TO TEST THE MFRONT USER-DEFINED BEHAVIOR SEVP
#------------------------------------------------------------------------

mkdir res_test_sevp #don't forget!

$MPIRUN amitex_fftp  -nm $MATEVTK  -a $ALGOXML -c $LOADXML -m $MATEXML  -s res_test_sevp/res


# LAUNCH SIMU ON ONE VOXEL TO TEST THE MFRONT USER-DEFINED BEHAVIOR SEVP
#------------------------------------------------------------------------

MATEXML="../Materials/mat_test_sevp2.xml"

mkdir res_test_sevp2 #don't forget!

#$MPIRUN amitex_fftp  -nm $MATEVTK  -a $ALGOXML -c $LOADXML -m $MATEXML  -s res_test_sevp2/res



