#!/bin/bash

# Environment variables
source ../env_amitex_training.sh

MPIRUN="mpirun -np 12"     
MPIRUN="mpirun"


# INPUT FILES
MATEVTK="../Microstructures/vtk/mat_al2p5_64.vtk"
ZONEVTK="../Microstructures/vtk/zone_al2p5_64.vtk"
MATEXML="../Materials/mat_lin.xml"
LOADXML="../Loadings_outputs/def_imp_mini.xml"
ALGOXML="../Algorithms/algo_default.xml"


# LAUNCH SIMU WITH 2 MATERIALS (ONE ZONE/INCLUSION IN MATERIAL INCLUSION)
#------------------------------------------------------------------------

MATEXML="../Materials/mat_thermoelas.xml"
LOADXML="../Loadings_outputs/char_thermoelas.xml"

mkdir res_thermoelas #don't forget!

$MPIRUN amitex_fftp  -nm $MATEVTK -nz $ZONEVTK -a $ALGOXML -c $LOADXML -m $MATEXML  -s res_thermoelas/res



