#!/bin/bash

# Environment variables
source ../env_amitex_training.sh

MPIRUN="mpirun -np 12"     
MPIRUN="mpirun"


# INPUT FILES
MATEVTK="../Microstructures/Cube64_cylinder_mate.vtk"
MATEXML="../Materials/mat_voxcomp.xml"
LOADXML="../Loadings_outputs/def_imp_mini.xml"
ALGOXML="../Algorithms/algo_default.xml"


# LAUNCH SIMU WITH 2 MATERIALS (ONE ZONE/MATERIAL)- COMMENT <material_composite> PART
#------------------------------------------------------------------------------------

MATEXML="../Materials/mat_voxcomp0.xml"

mkdir res_voxcomp0 #don't forget!

$MPIRUN amitex_fftp  -nm $MATEVTK  -a $ALGOXML -c $LOADXML -m $MATEXML  -s res_voxcomp0/res



# LAUNCH SIMU WITH 2 MATERIALS (ONE ZONE/MATERIAL)- USE COMPOSITE VOXELS
#----------------------------------------------------------------------------------

MATEXML="../Materials/mat_voxcomp.xml"

mkdir res_voxcomp #don't forget!

$MPIRUN amitex_fftp  -nm $MATEVTK  -a $ALGOXML -c $LOADXML -m $MATEXML  -s res_voxcomp/res

# To check input data
#--------------------

#$MPIRUN amitex_fftp  -nm $MATEVTK  -a $ALGOXML -c $LOADXML -m $MATEXML  -s res_voxcomp/res -coeff2print 1


