#!/bin/bash

# Choose the correct machine
machine=pc_mds
machine=marquises
machine=default

#AMITEX_PATH : usefull for using native behaviors in 'material'.xml files
export AMITEX_PATH=to_be_filled

#=======================================================================
#on PC MDS
if [[ $machine = "pc_mds" ]]
then
  #---gcc                                                   
  #export PATH=gcc_path_to_bin:$PATH                                          
  #export LD_LIBRARY_PATH=gcc_path_to_lib:$LD_LIBRARY_PATH              

  #---openmpi
  #export PATH=openmpi_path_to_bin:$PATH
  #export LD_LIBRARY_PATH=openmpi_path_to_lib:$LD_LIBRARY_PATH

  #---fftw
  #export PATH=fftw_path_to_bin:$PATH
  #export LD_LIBRARY_PATH=fftw_ldpath_to_lib:$LD_LIBRARY_PATH

  #---mfront (optionnel)
  #export PATH=mfront_path_to_be_filled:$PATH
  #export LD_LIBRARY_PATH=mfront_path_to_lib:$LD_LIBRARY_PATH
  module load mfront  #-> 'module' manages environment variables
  module show mfront

  #---amitex
  export PATH=$AMITEX_PATH/libAmitex/bin:$PATH
  export PATH=$AMITEX_PATH/post/deformedShape:$PATH
  export LD_LIBRARY_PATH=$AMITEX_PATH/libAmitex/lib:$LD_LIBRARY_PATH #for version >= 8.18


#=======================================================================
#on Marquises
elif [[ $machine = "marquises" ]]
then
  module purge
  module load gcc/8.1.0
  module load openmpi/3.1.0/gcc-8.1.0
  module load tfel/3.2.1/gcc-8.1.0
  module list

  #---utilisation amitex compilé en local
  #export PATH=$AMITEX_PATH/libAmitex/bin:$PATH
  #export PATH=$AMITEX_PATH/post/deformedShape:$PATH
  #export LD_LIBRARY_PATH=$AMITEX_PATH/libAmitex/lib:$LD_LIBRARY_PATH #for version >= 8.18
  
  #---utilisation amitex installe sur marquises 
  module load amitex/master/gcc-8.1.0

#=======================================================================
# default (such as ubuntu, with gcc, fftw, openmpi installed with apt-get)
elif [[ $machine = "default" ]]
then

  #---amitex
  export PATH=$AMITEX_PATH/libAmitex/bin:$PATH
  export PATH=$AMITEX_PATH/post/deformedShape:$PATH
  export LD_LIBRARY_PATH=$AMITEX_PATH/libAmitex/lib:$LD_LIBRARY_PATH #for version >= 8.18

  #---mfront (optionnal)
  MFRONT_PATH=to_be_filled #/home/lg202598/LIBRAIRIES/tfel-3.4.0-gcc540
  export PATH=$MFRONT_PATH/bin:$PATH
  export LD_LIBRARY_PATH=$MFRONT_PATH/lib:$LD_LIBRARY_PATH

#error
else
  echo "Error : unknown variable 'machine' = "$machine
fi

