%GEN_CYL generate an image (3D array) with one sphere
%
%----------------------------------------------------------------------------
% Usage :
%--------
%	IM0=gen_sphere(P0,R0,id0,X,Y,Z)
%
% Input : 
%--------
%	P0 :	[p0x,p0y,p0z], the sphere's center
%	R0 :	radius
%	id0:	the id of the sphere
%	X,Y,Z :	coordinates generated by gen_grid(X0,[dx,dy,dz],[nx,ny,nz])
%             
% Output :    
%---------
%	IM0 :	image (3D array)
%
%---------------------------------------------------------------------------	
%	
% OCTAVE : OK 
% MATLAB : OK
%
%---------------------------------------------------------------------------
% AUTHOR : LG
%
% Modification :
%	18/06/2019 : first version
%
%===========================================================================
function IM0=gen_sphere(P0,R0,id0,X,Y,Z)

global octave;

IM0 = zeros(size(X),'int32');

p0x = P0(1);p0y = P0(2);p0z = P0(3);

P0Mx = X - p0x; 
P0My = Y - p0y;
P0Mz = Z - p0z;

D =  sqrt(P0Mx.*P0Mx + P0My.*P0My + P0Mz.*P0Mz);

IM0(D<R0) = id0;
 

