%LAME_COEFF evaluate Lame coefficients fron Young modulus and Poisson coeff.
%
%===========================================================================
%
% Usage :
%--------
%	[Lambda,Mu] = lame_coeff(E,Nu)
%
% Input :
%--------
%	E	:	Young modulus
%	nu	:	Poisson coefficient
%
%
% Output : 	
%---------	
%	Lambda  :	first Lame coefficient
%	Mu	:	shear modulus
%
%---------------------------------------------------------------------------	
%	
% OCTAVE : OK 
% MATLAB : OK
%
%---------------------------------------------------------------------------
% AUTHOR : LG
%
% Modification :
%	30/01/2020 : first version
%
%===========================================================================

function [Lambda,Mu] = lame_coeff(E,Nu)


Lambda = E*Nu/((1.+Nu)*(1.-2.*Nu)); 
Mu = E/(2.*(1.+Nu));

